Skip to main content
GET
/
positions
/
{address}
cURL
curl --request GET \
  --url https://api.jup.ag/portfolio/v1/positions/{address}
{
  "date": 1710000000000,
  "owner": "BQ72nSv9f3PRyRKCBnHLVrerrv37CYTHm5h3s9VSGQDV",
  "fetcherReports": [
    {
      "id": "jupiter-exchange",
      "status": "ok",
      "duration": 120
    }
  ],
  "elements": [
    {
      "type": "multiple",
      "label": "Wallet",
      "platformId": "native-stake",
      "name": "Native Stake",
      "data": {
        "assets": [
          {
            "type": "token",
            "networkId": "solana",
            "value": 1713.4,
            "data": {
              "address": "So11111111111111111111111111111111111111112",
              "amount": 10,
              "price": 171.34
            }
          }
        ]
      }
    }
  ],
  "duration": 450
}

Documentation Index

Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

address
string
required

Solana wallet address

Query Parameters

platforms
string

Comma separated list of platform ids

Response

200 - application/json

Default Response

date
number
owner
string
fetcherReports
object[]
elements
(PortfolioElementMultiple · object | PortfolioElementLiquidity · object | PortfolioElementLeverage · object | PortfolioElementBorrowLend · object | PortfolioElementTrade · object)[]
duration
number
tokenInfo
object